<template>
  <Row class="manager-note-detail">
    <i-col :lg="{ offset: 6, span: 12 }" :md="{ offset: 6, span: 12 }">
      <Row>
        <div class="note-date">{{date}}</div>
        <div class="note-title">{{title}}</div>
        <div class="note-content">
          <div v-html="content"></div>
        </div>
        <Row class="tool-block">
          <div class="literal-div-btn back-btn" @click="$redirectTo('manager-note')">Back</div>
        </Row>
      </Row>
    </i-col>
  </Row>
</template>

<script>
import { validators as api } from '../../../../configs/request-validator/note';

export default {
  name: 'index',
  data() {
    return {
      title: undefined,
      content: undefined,
      date: undefined,
    };
  },
  mounted() {
    this.$displayBodyBlock(false);
  },
  async asyncData({ app, params }) {
    const noteId = Number(params['id']);
    let title = undefined;
    let content = undefined;
    let date = undefined;

    // request
    const noteRequest = { noteId };

    // invoke api
    try {
      const allResponse = await Promise.all([
        app.$api(api.AccessNoteByIdRequest, noteRequest, undefined, false),
      ]);

      // set vue data
      title = allResponse[0]['data']['title'];
      content = allResponse[0]['data']['content'];
      date = allResponse[0]['data']['date'];
    } catch (error) {
      this.$apiErrorHandler(error);
    }

    return { title, content, date };
  },
}
</script>

<style lang="scss" scoped>
  @import '../../../../assets/css/mixin';

  .manager-note-detail {
    height: 100%;
    padding: 100px 0 0 0;
    overflow-y: auto;
    .tool-block {
      padding: 30px 0;
    }
    .note-date {
      font-size: 18px;
      font-weight: bold;
    }
    .note-title {
      width: 100%;
      height: 40px;
      padding: 0 15px;
      border-radius: 8px;
      border-width: 1.5px;
      border-style: solid;
      margin: 25px 0;
      font-size: 20px;
      line-height: 40px;
      vertical-align: middle;
    }
    .note-content {
      width: 100%;
      padding: 10px 25px;
      border-radius: 8px;
      border-width: 1px;
      border-style: solid;
      font-size: 16px;
    }
  }
</style>

<style lang="scss">
  .note-content {
    ol, ul {
      padding: 0 30px;
    }
  }
</style>
